<?php

	// a date in the past
	header("Expires: Mon, 23 Jul 1993 05:00:00 GMT");
	// always modified
	header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
	// HTTP/1.1
	header("Cache-Control: no-store, no-cache, must-revalidate");
	header("Cache-Control: post-check=0, pre-check=0, max-age=0", false);

	require(dirname(__FILE__).'/../init.php');
	define('CLASS_DIR',dirname(__FILE__).'/includes/classes');

	require(CLASS_DIR.'/class.statchart.php');
	require(dirname(__FILE__).'/includes/charts/charts.php');
	
	define('AKB_WL_LANG_FILE',			dirname(__FILE__).'/../includes/language/'.$GLOBALS['currentLanguage'].'/whitelabel.ini');
	define('AKB_LANG_FILE',				dirname(__FILE__).'/../includes/language/'.$GLOBALS['currentLanguage'].'/back_language.ini');
	define('AKB_TPL_LOAD_PATH',			dirname(__FILE__).'/../templates/');
	define('AKB_TPL_PHP_PATH',			dirname(__FILE__).'/includes/display/');
	define('AKB_TPL_HTTP_PATH',			$GLOBALS['pathToKB'].'/admin/templates/');
	define('AKB_TPL_IMAGE_PATH',		AKB_TPL_HTTP_PATH.'Images');
	define('AKB_PANEL_LOAD_PATH',		AKB_TPL_LOAD_PATH.'Panels/');
	define('AKB_SNIPPET_LOAD_PATH',		AKB_TPL_LOAD_PATH.'Snippets/');	

	require(CLASS_DIR.'/class.auth.php');
	require(CLASS_DIR.'/class.template.php');
	
	$GLOBALS['AKB_CLASS_TEMPLATE']	= new AKB_TEMPLATE();
	$GLOBALS['AKB_CLASS_AUTH']		= new AKB_AUTH();	
	
	//Instanciate the Chart
	$chart = new AKB_CHART();
	$chart->Process();

	die();
?>